Display full version of the post: Reverse Leader direction?

kylesom
03.12.2009, 09:56
Hi allA junior tech in my office has managed to insert about 30 drawings worth of quick leaders but in the wrong direction - he didnt bother adjusting dimscale to show the arrow for some reason.Is there a way I can either reverse the leader direction, or reverse all leaders 180deg about their midpoint?Line / Polyline reverse lisps wont work on a leader unfortunately but I'd imagine the same principle applies?CheersKyle

CarlB
03.12.2009, 22:30
The same principle applies, pretty much.  But there are some dynamic things going on that sometimes produce odd results, like adding a short tail.
 
Try the following, it seems to mostly work..
 
(defun c:rld ()    (while      (setq ename (car (entsel "Select leader: ")))      (setq Edata (entget Ename))      (setq VertList (vl-remove-if-not '(lambda (a) (= (car a) 10)) Edata))      (setq Ed_Tail (member (assoc 340 Edata) Edata))      (setq Ed_Front (reverse (member (assoc 76 Edata) (reverse Edata))))      (setq Ed_Rev (append Ed_Front (reverse Vertlist) Ed_Tail))      (entmod Ed_Rev)      (princ)   ))